:root {
    --colour-curly-wig: #d2ff65;
    --colour-duskdark: #7b2bff;
    --colour-firedot: #d93912;
    --colour-tablelands: #413035;
    --colour-blue-mountains-ash: #e3f0E8;
    --colour-sweet-wattle: #fafff0;
    --colour-mountain-devil: #f9d7f4;
    --colour-black: #000000;
    --colour-white: #ffffff;
}

#split-left-visit {
    background-color: var(--colour-curly-wig);
    overflow-y: hidden;
}

#split-right-visit {
    background-image: url(/assets/images/P1011462_bright.jpg);
    background-size: cover;
    background-attachment: fixed;
}

.visit-top-section {
    margin: 100px 15px 0 15px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.visit-top-section h1 {
    color: white;
}

.anchor-tags {
    text-align: right;
    color: white;
    max-width: 300px;
}

.anchor-tags h5{
    margin-top: 18px;
}

#images-split {
    position: relative;
    z-index: 1;
}

.village-image-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    transition: opacity 0.8s ease;
}

.village-image{
    width: 100%;
    height: 100%;
}

.village-image-caption{
    position: relative;
    top: -20vh;
    left: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    z-index: 2;
    color: white;
    gap: 10px;
}  

.visit-content-block {
    background-color: var(--colour-blue-mountains-ash);
    margin: 0 75px 150px 75px;
    border: 1px solid black;
    padding: 75px 75px 100px 75px;
}

.visit-content-block p {
    margin: 1em 0 1em 0;
}

/* accommodation grid */
.accomm-block {
    margin-top: 40px;
}

.accomm-village h3 {
    margin: 40px 0 0 0;
}

.accomm-tile-container {
    margin-top: 10px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(140px, 177px));
}

.accomm-tile {
    min-height: 256px;
    border: solid 1px currentColor;
    margin-right: 12px;
    margin-bottom: 12px;

    color: currentColor;

    overflow-wrap: break-word;

    transition: background-color 0.15s ease, color 0.15s ease;
    background-color: var(--colour-sweet-wattle);
}

.accomm-tile-main {
    display: flex;
    flex-direction: column;
    padding: 12px;
}

.accomm-tile-main h6 {
    margin-top: 4px;
}
 
.accomm-tile-main p {
    font-size: 12px;
    margin-bottom: 0;
}

.accomm-book-button{
    background-color: var(--colour-curly-wig);
    color: var(--colour-black);
    padding-top: 3.5px;
    border-radius: 14px;
    height: 24px;
    width: 58px;
    text-align: center;
    cursor: pointer;
    transition: all 0.25s ease;
    margin-top: 8px;
}

.accomm-book-button:hover {
    -webkit-box-shadow: inset 0 0 8px var(--colour-duskdark);
    -moz-box-shadow: inset 0 0 8px var(--colour-duskdark);
    box-shadow: inset 0 0 8px var(--colour-duskdark);
}

.out{
    background-color: #BEBEBE;
    width: 98px;
    cursor: auto;
}

.out:hover{
    box-shadow: none;
}

.accomm-tile-image-container{
    border-top: #000000 1px solid;
    width: 100%;
    height: 100%;
}

.accomm-tile-image-container img{
    width: 100%;
    height: 12vh;
    object-fit: cover;
}

/* mobile */
@media (width <= 600px) {
    /* program */
    #split-left-visit{
        display: none;
    }

    .split{
        width: 100%;
        padding-bottom: 30vh;
    }

    .visit-top-section {
        padding: 0 10px 0 10px;
    }

    .anchor-tags {
        max-width: 50vw;
    }

    .visit-content-block{
        margin: 100px 20px 82px 20px;
        border: 1px solid black;
        padding: 24px 24px 30px 24px;
    }

    /* accommodation grid */
    .accomm-tile-container {
        grid-template-columns: repeat(auto-fit, minmax(140px, 500px));
    }

    .accomm-tile {
        min-height: 266px;
        margin-right: 0px;
    }

    .accomm-tile-image-container img{
        height: 200px;
    }

}